Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060440 (calendarserver) - Review Request: calendarserver - Standards-compliant server implementing the CalDAV and CardDAV protocols
Summary: Review Request: calendarserver - Standards-compliant server implementing the...
Keywords:
Status: CLOSED WONTFIX
Alias: calendarserver
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1048410 (view as bug list)
Depends On: 1060421 1060438 1076485 1096455
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-01 19:55 UTC by Matěj Cepl
Modified: 2018-04-11 13:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-26 14:42:05 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2014-02-01 19:55:13 UTC
Spec URL: http://mcepl.fedorapeople.org/tmp/calendarserver.spec
SRPM URL: http://mcepl.fedorapeople.org/tmp/calendarserver-5.1-0.el7.src.rpm
Description:
The open source Calendar and Contacts Server project is                         
a standards-compliant server implementing the CalDAV and CardDAV                
protocols. It provides a shared location on the network allowing                
multiple users to store and edit calendaring and contact                        
information. 
Fedora Account System Username: mcepl

Builds in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6480118

Comment 1 Matěj Cepl 2014-02-01 20:11:51 UTC
*** Bug 1048410 has been marked as a duplicate of this bug. ***

Comment 2 Matěj Cepl 2014-02-01 20:13:18 UTC
http://www.productionmonkeys.net/guides/calendar-server/darwin-calendar-and-contact-server seems like a good guide for installing the server on CentOS 6.

Comment 3 Christopher Meng 2014-02-13 07:12:23 UTC
EPEL only package?

Comment 4 Matěj Cepl 2014-02-13 07:54:28 UTC
(In reply to Christopher Meng from comment #3)
> EPEL only package?

Certainly not? I am interested in EPEL-6, but it should be in normal Fedora as well? What did I do wrong to make you think so?

Comment 5 Christopher Meng 2014-02-13 08:35:13 UTC
1. I saw init file, so it meant to be that systemd support need to be added also.

2. %postun
if [ "$1" -ge "1" ] ; then
    /sbin/service <script> condrestart >/dev/null 2>&1 || :
fi


What's the content between <>?

3. We don't need this %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

4. python2-devel is needed instead of python-devel,

%{python_sitearch} --> %{python2_sitearch},

%{__python} --> %{__python2},

on el6 if you don't want to maintain a separate spec you can overwrite the macro by:

%if 0%{?rhel} && 0%{?rhel} < 7
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

5. No rm -rf $RPM_BUILD_ROOT in %install

6. Forgot to own this dir:

%{_sysconfdir}/caldavd/

of

%config(noreplace) %{_sysconfdir}/caldavd/caldavd.plist

Comment 7 Rahul Amaram 2014-03-10 06:32:15 UTC
calendarserver 5.1 has been pushed to Debian unstable - http://packages.qa.debian.org/c/calendarserver/news/20140310T014826Z.html. You might want to check for changes. Few of the patches have been updated to work with 5.1.

Comment 8 Matěj Cepl 2014-04-06 16:45:28 UTC
(In reply to Rahul Amaram from comment #7)
> calendarserver 5.1 has been pushed to Debian unstable -
> http://packages.qa.debian.org/c/calendarserver/news/20140310T014826Z.html.
> You might want to check for changes. Few of the patches have been updated to
> work with 5.1.

I was already working based on this package.

Comment 9 Rahul Amaram 2014-04-15 22:38:12 UTC
calendarserver 5.2 has been released into debian unstable. I strongly recommend upgrading to this version. 5.1 had a couple of issues.

1. Migrated data from earlier versions would not be visible. The fix for this is to use the same guid that was being auto-generated earlier. I have written a script for getting this auto-generated guid.

2. The second issue was that tasks were not visible from Thunderbird. This could be changed using a configuration option, which is currently not set in 5.1.

I have addressed both these issues in version 5.2 which I have just pushed into debian unstable. It would be great if you could sync calendarserver 5.2 and pycalendar 2.0~svn13177-1 from debian unstable.

Comment 10 Matěj Cepl 2014-05-04 22:17:03 UTC
Updated SPEC file: http://mcepl.fedorapeople.org/tmp/calendarserver.spec
Updated SRPM: http://mcepl.fedorapeople.org/tmp/calendarserver-5.2-2.el7.src.rpm
Builds in koji http://koji.fedoraproject.org/koji/taskinfo?taskID=6812706

My plan is now to get this package into Rawhide, and then we have plenty more work to do, which I'll file as a separate bugs against the new package. And then the final victory would be to make this all working on EPEL-6 (which is the whole purpose of my effort, but the list of required dependencies is scary).

Comment 11 Matěj Cepl 2014-05-04 22:21:52 UTC
Hmm, interesting ... it actually DOES build in EPEL-6 http://koji.fedoraproject.org/koji/taskinfo?taskID=6812724

Comment 12 Matěj Cepl 2014-05-04 22:28:10 UTC
(In reply to Rahul Amaram from comment #9)
> I have addressed both these issues in version 5.2 which I have just pushed
> into debian unstable. It would be great if you could sync calendarserver 5.2
> and pycalendar 2.0~svn13177-1 from debian unstable.

It’s awesome to have you here: could I ask one deep question which I am still worried about? Why do you need separate python-plist package at all? Wouldn’t https://docs.python.org/2/library/plistlib.html be sufficient? I don’t want to introduce to Fedora packages which are not strictly necessary.

Comment 13 Matěj Cepl 2014-05-10 15:37:11 UTC
Found a typo in %pre scriptlet.

New SRPM: http://mcepl.fedorapeople.org/tmp/calendarserver-5.2-3.el7.src.rpm
SPEC in same URL.

Comment 14 Matěj Cepl 2014-05-10 22:51:30 UTC
Another problem on EPEL-6

root@luther: tls# python
Python 2.6.6 (r266:84292, Nov 21 2013, 10:39:36) 
[GCC 4.4.7 20120313 (Red Hat 4.4.7-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from twisted.internet.interfaces import IStreamServerEndpointStringParser
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: cannot import name IStreamServerEndpointStringParser
>>> 
root@luther: # rpm -qf /usr/lib/python2.6/site-packages/twisted/internet/interfaces.py
python-twisted-core-8.2.0-4.el6.i686

Comment 15 Rahul Amaram 2014-05-24 10:39:14 UTC
(In reply to Matěj Cepl from comment #12)
> (In reply to Rahul Amaram from comment #9)
> > I have addressed both these issues in version 5.2 which I have just pushed
> > into debian unstable. It would be great if you could sync calendarserver 5.2
> > and pycalendar 2.0~svn13177-1 from debian unstable.
> 
> It’s awesome to have you here: could I ask one deep question which I am
> still worried about? Why do you need separate python-plist package at all?
> Wouldn’t https://docs.python.org/2/library/plistlib.html be sufficient? I
> don’t want to introduce to Fedora packages which are not strictly necessary.

I am not sure if I understand your question completely. Debian packages has no dependency on python-plist. On a very old calendarserver debian package, it did have dependency on python-plist, but this is no longer the case.

If you are enquiring about twext.python.plistlib in the calendarserver source package, then you will have to ask this the upstream author or discuss in calednarserver-dev mailing list as plistlib is bundled with upstream package.

Comment 16 Matěj Cepl 2014-05-26 14:42:05 UTC
OK, I am sorry to announce, that I won't be working on this package anymore. After all the time I've spent on this, whole system doesn't work for me (especially on RHEL-6), whereas ownCloud (yes, PHP sucks) just does. Sorry. All RPMS (and git repo ... http://luther.ceplovi.cz/git/calendarserver-pkg.git/) will stay where they are, so if anybody wants to take this over, he/she is welcome.


Note You need to log in before you can comment on or make changes to this bug.